> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get assets



## OpenAPI

````yaml /openapi.yaml get /v1/assets
openapi: 3.0.0
info:
  title: Otark API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.otark.com
    description: Production
security: []
tags: []
paths:
  /v1/assets:
    get:
      tags:
        - Assets
      summary: Get assets
      operationId: v1_AssetsController_get
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            default: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Items per page
          schema:
            minimum: 1
            maximum: 100
            default: 10
            type: number
      responses:
        '200':
          description: Assets list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetListDTO'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AssetListDTO:
      type: object
      properties:
        assets:
          description: List of assets
          type: array
          items:
            $ref: '#/components/schemas/AssetListItem'
      required:
        - assets
    AssetListItem:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the asset
          example: ast_R4YRVPVqVqX2tbLu4jKGR
        name:
          type: string
          description: Name of the asset
          example: Green Energy Package
        assetType:
          type: string
          description: Type of asset
          enum:
            - WIND
            - SOLAR
        nominalPower:
          type: number
          description: Nominal power of the asset in MW
          example: 500
        averageAnnualPower:
          type: number
          description: Average annual power generation in MWh
          example: 4500
        deliveryStart:
          type: string
          description: Start date of the delivery period
          example: '2000-01-01T00:00:00.000Z'
        ppaType:
          type: string
          description: Type of PPA
          enum:
            - PAY_AS_NOMINATED
            - PAY_AS_PRODUCED
            - PAY_AS_FORECASTED
        additionalInfo:
          type: string
          description: Additional information about the asset
          example: Includes maintenance and support
        state:
          type: string
          description: State where the asset is located
          example: Berlin
        country:
          type: string
          description: Country where the asset is located
          example: DE
        coverUrl:
          type: string
          description: Cover asset URL
          example: https://cdn.otark.com/asset-covers/abc.jpg
        pricing:
          description: Pricing of the asset
          type: array
          items:
            $ref: '#/components/schemas/AssetPricing'
      required:
        - id
        - name
        - assetType
        - nominalPower
        - averageAnnualPower
        - deliveryStart
        - ppaType
        - additionalInfo
        - state
        - country
        - pricing
    AssetPricing:
      type: object
      properties:
        years:
          type: number
          description: Number of years
          example: 15
        price:
          type: number
          description: Price of the asset
          example: 14.55
      required:
        - years
        - price
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````